# OgreAutoParamDataSource.h File Reference

`#include "OgrePrerequisites.h"`
`#include "OgreCommon.h"`
`#include "OgreMatrix4.h"`
`#include "OgreVector4.h"`
`#include "OgreLight.h"`
`#include "OgreColourValue.h"`

Go to the source code of this file.

## Namespaces

namespace | Ogre

## Classes

class | Ogre::AutoParamDataSource
| This utility class is used to hold the information used to generate the matrices and other information required to automatically populate GpuProgramParameters. More...

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sat Apr 11 14:26:49 2009